Public Member Functions | Public Attributes | List of all members
MarinerWrtTextInternal::State Struct Reference

Internal: the state of a MarinerWrtText. More...

## Public Member Functions
| State ()
| constructor More...
Zone & | getZone (int id)
| return a reference to a textzone ( if zone not exists, created it ) More...

## Public Attributes
int | m_version
| the file version More...
std::map< int, Zone > | m_textZoneMap
| a map id -> textZone More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a MarinerWrtText.

## Constructor & Destructor Documentation

## ◆ State()

MarinerWrtTextInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getZone()

Zone& MarinerWrtTextInternal::State::getZone | ( | int | id | ) |
| inline

return a reference to a textzone ( if zone not exists, created it )

## Member Data Documentation

## ◆ m_actualPage

int MarinerWrtTextInternal::State::m_actualPage

## ◆ m_numPages

int MarinerWrtTextInternal::State::m_numPages

## ◆ m_textZoneMap

std::map<int,Zone> MarinerWrtTextInternal::State::m_textZoneMap

a map id -> textZone

## ◆ m_version

int MarinerWrtTextInternal::State::m_version
| mutable

the file version

The documentation for this struct was generated from the following file:

- MarinerWrtText.cxx